%define 	module	pyinotify
Summary:	Pyinotify - pure Python module used for monitoring filesystems changes
Summary(hu.UTF-8):	Pyinotify egy egyszerű Python modul, amellyel a fájlrendszer változásait lehet figyelni
Summary(pl.UTF-8):	Pyinotify - moduł w czystym Pythonie do monitorowania zmian w systemie plików
Name:		python-%{module}
Version:	0.9.6
Release:	11
License:	MIT
Group:		Development/Languages/Python
Source0:	http://seb.dbzteam.org/pub/pyinotify/releases/%{module}-%{version}.tar.gz
# Source0-md5:	8e580fa1ff3971f94a6f81672b76c406
URL:		https://github.com/seb-m/pyinotify
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
Requires:	glibc >= 2.4
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pyinotify is a pure Python module used for monitoring filesystems
changes.

%description -l hu.UTF-8
Pyinotify egy egyszerű Python modul, amellyel a fájlrendszer
változásait lehet figyelni.

%description -l pl.UTF-8
Pyinotify to moduł w czystym Pythonie służący do monitorowania zmian w
systemie plików.

%package -n python3-%{module}
Summary:	Pyinotify is a pure Python module used for monitoring filesystems changes
Summary(pl.UTF-8):	Pyinotify - moduł w czystym Pythonie do monitorowania zmian w systemie plików
Group:		Development/Languages/Python

%description -n python3-%{module}
Pyinotify is a pure Python module used for monitoring filesystems
changes.

%description -n python3-%{module} -l hu.UTF-8
Pyinotify egy egyszerű Python modul, amellyel a fájlrendszer
változásait lehet figyelni.

%description -n python3-%{module} -l pl.UTF-8
Pyinotify to moduł w czystym Pythonie służący do monitorowania zmian w
systemie plików.

%prep
%setup -q -n %{module}-%{version}

%{__sed} -i -e '1s,/usr/bin/env python,%{__python},' \
	python2/examples/autocompile.py

%build
%py_build -b build_python2
%py3_build -b build_python3

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
mv build_python2 build
%py_install

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

install python2/examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} -r build
mv build_python3 build
%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc old/ChangeLog old/NEWS README.md
%{py_sitescriptdir}/pyinotify.py[co]
%{py_sitescriptdir}/pyinotify-%{version}-py*.egg-info
%{_examplesdir}/%{name}-%{version}

%files -n python3-%{module}
%defattr(644,root,root,755)
%{py3_sitescriptdir}/pyinotify.py
%{py3_sitescriptdir}/__pycache__
%{py3_sitescriptdir}/pyinotify-%{version}-py*.egg-info
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyinotify.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 9d3047f
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 13311da
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 75664f2
- rebuild with python 3.10

* Tue Mar 02 2021 Jan Palus <atler@pld-linux.org> 4637e4c
- fix shebang; rel 8

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> fb1c5bc
- rebuild with python 3.8
- release 7 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 9be5e23
- release 6 (by relup.sh)

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 1a2d4ce
- python 3.6.0 rebuild
- release 5 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 799ab48
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 16c2b52
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 27fc821
- automatic change: use py_build/py_install macros

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> c2d6771
- release 3 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 5d60fc2
- release 2 (by relup.sh)

* Thu Jul 02 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 02ec8cc
- Version: 0.9.6

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 1450b21
- python 3.4
- release 2 (by relup.sh)

* Fri Apr 19 2013 Jakub Bogusz <qboosh@pld-linux.org> a045dcf
- pl, noarch

* Fri Apr 19 2013 Kacper Kornet <draenog@pld-linux.org> 9ec50e1
- change in license

* Fri Apr 19 2013 Kacper Kornet <draenog@pld-linux.org> b6b3a26
- up to 0.9.4
- change URL as the project has moved to github

* Wed Nov 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 4c56339
- release 2 (by relup.sh)

* Sun Jan 22 2012 zbyniu <zbyniu@pld-linux.org> ac8ce62
- up to 0.9.3

* Fri Sep 30 2011 Kacper Kornet <draenog@pld-linux.org> 15f7d87
- hack to prevent interference between building of module for two versions of
  two versions of python

